/**
 * Copyright (c) 2015-2017, Winter Lau (javayou@gmail.com).
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.oschina.j2cache;

import java.util.Collection;

/**
 * 以及缓存接口
 * @author Winter Lau(javayou@gmail.com)
 */
public interface Level1Cache extends Cache {

    /**
     * 返回该缓存区域的 TTL 设置（单位：秒）
     * @return
     */
    long ttl();

    /**
     * 返回该缓存区域中，内存存储对象的最大数量
     * @return
     */
    long size();

}
